Usuários
Validar MFA
Valida um código TOTP do aplicativo autenticador do usuário.
POST
/manager/user/mfa/verifyAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/user/mfa/verify" \ -H "Content-Type: application/json" \ -d '{ "email": "maria.gerente@exemplo.com.br", "token": "123456" }'{
"email": "maria.gerente@exemplo.com.br",
"issuer": "Smart Tef - Integrador Exemplo",
"verified": true,
"message": null
}{
"status": 400,
"data": {
"message": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"message": "Required",
"path": [
"token"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/mfa/verify"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/mfa/verify"
}
}{
"status": 404,
"data": {
"message": "MFA não configurado para usuario",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/mfa/verify"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/mfa/verify"
}
}